Package lxml :: Module etree :: Class iterwalk |
[frames] | no frames]

# Class iterwalk

    object --+
             |
            iterwalk

iterwalk(self, element_or_tree, events=("end",), tag=None)

A tree walker that generates events from an existing tree as if it was parsing XML data with `iterparse()`.

Instance Methods
__init__(self, element_or_tree, events=("end", ), tag=None) x.__init__(...) initializes x; see x.__class__.__doc__ for signature |
__iter__(...) |
a new object with type S, a subtype of T |
__new__(T, S, ...) |
__next__(...) |
the next value, or raise StopIteration |
next(x) |
Inherited from `object`: `__delattr__`, `__getattribute__`, `__hash__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__str__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, element_or_tree, events=("end", ), tag=None) (Constructor) |
x.__init__(...) initializes x; see x.__class__.__doc__ for signature Overrides: object.__init__

### __new__(T, S, ...) |
Returns: a new object with type S, a subtype of T Overrides: object.__new__